Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rim
Interface PersonNameType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  PersonNameTypeImpl

    public interface PersonNameType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Person Name Type'. Mapping of the same named interface in ebRIM.

The following features are supported:

- `First Name`
- `Last Name`
- `Middle Name`

See Also:
  `RimPackage.getPersonNameType()`

Method Summary
`java.lang.String` | `getFirstName()` Returns the value of the 'First Name' attribute.
`java.lang.String` | `getLastName()` Returns the value of the 'Last Name' attribute.
`java.lang.String` | `getMiddleName()` Returns the value of the 'Middle Name' attribute.
`void` | `setFirstName(java.lang.String value)` Sets the value of the '`First Name`' attribute.
`void` | `setLastName(java.lang.String value)` Sets the value of the '`Last Name`' attribute.
`void` | `setMiddleName(java.lang.String value)` Sets the value of the '`Middle Name`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getFirstName

    java.lang.String getFirstName()

  Returns the value of the 'First Name' attribute.

  If the meaning of the 'First Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'First Name' attribute.
  See Also:
    `setFirstName(String)`, `RimPackage.getPersonNameType_FirstName()`

### setFirstName

    void setFirstName(java.lang.String value)

  Sets the value of the '`First Name`' attribute.

  Parameters:
    `value` - the new value of the 'First Name' attribute.
  See Also:
    `getFirstName()`

### getLastName

    java.lang.String getLastName()

  Returns the value of the 'Last Name' attribute.

  If the meaning of the 'Last Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Last Name' attribute.
  See Also:
    `setLastName(String)`, `RimPackage.getPersonNameType_LastName()`

### setLastName

    void setLastName(java.lang.String value)

  Sets the value of the '`Last Name`' attribute.

  Parameters:
    `value` - the new value of the 'Last Name' attribute.
  See Also:
    `getLastName()`

### getMiddleName

    java.lang.String getMiddleName()

  Returns the value of the 'Middle Name' attribute.

  If the meaning of the 'Middle Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Middle Name' attribute.
  See Also:
    `setMiddleName(String)`, `RimPackage.getPersonNameType_MiddleName()`

### setMiddleName

    void setMiddleName(java.lang.String value)

  Sets the value of the '`Middle Name`' attribute.

  Parameters:
    `value` - the new value of the 'Middle Name' attribute.
  See Also:
    `getMiddleName()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD